Manifest-Version: 1.0
Bnd-LastModified: 1750317242593
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Client Extension Web
Bundle-SymbolicName: com.liferay.client.extension.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.21.hotfix-6698-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.application.list;version="3.0",com.liferay
 .client.extension.exception;version="2.0",com.liferay.client.extensio
 n.model;version="4.0",com.liferay.client.extension.service;version="4
 .0",com.liferay.client.extension.type;version="3.0",com.liferay.clien
 t.extension.type.annotation;version="1.0",com.liferay.client.extensio
 n.type.deployer;version="1.0",com.liferay.client.extension.type.facto
 ry;version="2.0",com.liferay.client.extension.type.manager;version="3
 .0",com.liferay.exportimport.data.handler.base;version="1.0",com.life
 ray.exportimport.kernel.lar;version="4.3",com.liferay.exportimport.st
 aged.model.repository;version="1.1",com.liferay.frontend.data.set.pro
 vider;version="1.0",com.liferay.frontend.data.set.provider.search;ver
 sion="1.0",com.liferay.frontend.data.set.view;version="3.1",com.lifer
 ay.frontend.data.set.view.table;version="7.2",com.liferay.frontend.js
 .loader.modules.extender.npm;version="3.5",com.liferay.frontend.tagli
 b.clay.servlet.taglib.util;version="4.0",com.liferay.petra.function;v
 ersion="1.5",com.liferay.petra.sql.dsl.query,com.liferay.petra.string
 ;version="1.7",com.liferay.portal.kernel.annotation;version="7.0",com
 .liferay.portal.kernel.bean;version="10.0",com.liferay.portal.kernel.
 dao.orm;version="12.0",com.liferay.portal.kernel.exception;version="1
 2.3",com.liferay.portal.kernel.language;version="11.0",com.liferay.po
 rtal.kernel.log;version="7.1",com.liferay.portal.kernel.model;version
 ="24.0",com.liferay.portal.kernel.portlet;version="20.0",com.liferay.
 portal.kernel.portlet.bridges.mvc;version="6.0",com.liferay.portal.ke
 rnel.portlet.url.builder;version="1.1",com.liferay.portal.kernel.sear
 ch;version="17.0",com.liferay.portal.kernel.service;version="17.0",co
 m.liferay.portal.kernel.servlet;version="11.1",com.liferay.portal.ker
 nel.servlet.taglib.aui;version="10.1",com.liferay.portal.kernel.servl
 et.taglib.util;version="7.0",com.liferay.portal.kernel.theme;version=
 "10.1",com.liferay.portal.kernel.upgrade;version="18.1",com.liferay.p
 ortal.kernel.util;version="45.0",com.liferay.portal.kernel.workflow;v
 ersion="17.2",com.liferay.portal.kernel.xml;version="7.0",com.liferay
 .portal.upgrade.registry;version="5.0",com.liferay.portal.util;versio
 n="36.0",com.liferay.portal.vulcan.pagination;version="1.4",com.lifer
 ay.portal.vulcan.util;version="4.1",com.liferay.portlet;version="8.2"
 ,javax.portlet,javax.servlet,javax.servlet.http,org.osgi.framework;ve
 rsion="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Client Extension
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.client.extension.web.internal.application
 .list,com.liferay.client.extension.web.internal.constants,com.liferay
 .client.extension.web.internal.display.context,com.liferay.client.ext
 ension.web.internal.display.context.util,com.liferay.client.extension
 .web.internal.exportimport.data.handler,com.liferay.client.extension.
 web.internal.exportimport.staged.model.repository,com.liferay.client.
 extension.web.internal.frontend.data.set.model,com.liferay.client.ext
 ension.web.internal.frontend.data.set.provider,com.liferay.client.ext
 ension.web.internal.frontend.data.set.view.table,com.liferay.client.e
 xtension.web.internal.portlet,com.liferay.client.extension.web.intern
 al.portlet.action,com.liferay.client.extension.web.internal.type.depl
 oyer,com.liferay.client.extension.web.internal.upgrade.registry,com.l
 iferay.client.extension.web.internal.upgrade.v1_0_0,com.liferay.clien
 t.extension.web.internal.upgrade.v2_0_0,com.liferay.client.extension.
 web.internal.upgrade.v3_0_0
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/client
 -extension-web";version:Version="1.0.21.hotfix-6698-7413",osgi.servic
 e;objectClass:List<String>="com.liferay.application.list.PanelApp";us
 es:="com.liferay.application.list",osgi.service;objectClass:List<Stri
 ng>="com.liferay.client.extension.type.deployer.CETDeployer";uses:="c
 om.liferay.client.extension.type.deployer",osgi.service;objectClass:L
 ist<String>="com.liferay.exportimport.kernel.lar.StagedModelDataHandl
 er";uses:="com.liferay.exportimport.kernel.lar",osgi.service;objectCl
 ass:List<String>="com.liferay.exportimport.staged.model.repository.St
 agedModelRepository";uses:="com.liferay.exportimport.staged.model.rep
 ository",osgi.service;objectClass:List<String>="com.liferay.frontend.
 data.set.provider.FDSActionProvider";uses:="com.liferay.frontend.data
 .set.provider",osgi.service;objectClass:List<String>="com.liferay.fro
 ntend.data.set.provider.FDSDataProvider";uses:="com.liferay.frontend.
 data.set.provider",osgi.service;objectClass:List<String>="com.liferay
 .frontend.data.set.view.FDSView";uses:="com.liferay.frontend.data.set
 .view",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.portlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.ke
 rnel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.
 liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand";uses:="co
 m.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass
 :List<String>="com.liferay.portal.upgrade.registry.UpgradeStepRegistr
 ator";uses:="com.liferay.portal.upgrade.registry",osgi.service;object
 Class:List<String>="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/editor))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filter
 :="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/frontend-d
 ata-set))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=ht
 tp://liferay.com/tld/portlet))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/theme))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",os
 gi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.
 com/tld/util))",osgi.service;filter:="(objectClass=com.liferay.client
 .extension.service.ClientExtensionEntryRelLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.client.extension
 .service.ClientExtensionEntryService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.client.extension.type.factory.CETF
 actory)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.client.extension.type.manager.CETManager)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.exportimport.staged.model
 .repository.StagedModelRepository)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.frontend.data.set.view.table.FDSTable
 SchemaBuilderFactory)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.frontend.js.loader.modules.extender.npm.NPMResolve
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.language.Language)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.model.Portlet)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .model.Release)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.util.Localization)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)
 ";effective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.comp
 onent)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contra
 ct=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))
 ",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=J
 avaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(vers
 ion=1.8))"
Service-Component: OSGI-INF/com.liferay.client.extension.web.internal.
 application.list.ClientExtensionAdminPanelApp.xml,OSGI-INF/com.lifera
 y.client.extension.web.internal.exportimport.data.handler.ClientExten
 sionEntryRelStagedModelDataHandler.xml,OSGI-INF/com.liferay.client.ex
 tension.web.internal.exportimport.staged.model.repository.ClientExten
 sionEntryRelStagedModelRepository.xml,OSGI-INF/com.liferay.client.ext
 ension.web.internal.frontend.data.set.provider.CETFDSActionProvider.x
 ml,OSGI-INF/com.liferay.client.extension.web.internal.frontend.data.s
 et.provider.CETFDSDataProvider.xml,OSGI-INF/com.liferay.client.extens
 ion.web.internal.frontend.data.set.view.table.CETTableFDSView.xml,OSG
 I-INF/com.liferay.client.extension.web.internal.portlet.ClientExtensi
 onAdminPortlet.xml,OSGI-INF/com.liferay.client.extension.web.internal
 .portlet.action.DeleteClientExtensionEntryMVCActionCommand.xml,OSGI-I
 NF/com.liferay.client.extension.web.internal.portlet.action.EditClien
 tExtensionEntryMVCActionCommand.xml,OSGI-INF/com.liferay.client.exten
 sion.web.internal.portlet.action.EditClientExtensionEntryMVCRenderCom
 mand.xml,OSGI-INF/com.liferay.client.extension.web.internal.portlet.a
 ction.ViewMVCRenderCommand.xml,OSGI-INF/com.liferay.client.extension.
 web.internal.type.deployer.CETDeployerImpl.xml,OSGI-INF/com.liferay.c
 lient.extension.web.internal.upgrade.registry.ClientExtensionWebUpgra
 deStepRegistrator.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /client-extension-web

